#!/usr/bin/env python
# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Copyright (C) 2010 B. Clausius <barcc@gmx.de>
#This program is free software: you can redistribute it and/or modify it 
#under the terms of the GNU General Public License version 3, as published 
#by the Free Software Foundation.
#
#This program is distributed in the hope that it will be useful, but 
#WITHOUT ANY WARRANTY; without even the implied warranties of 
#MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
#PURPOSE.  See the GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License along 
#with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

###################### DO NOT TOUCH THIS (HEAD TO THE SECOND PART) ######################

#try:
#    import DistUtilsExtra.auto
#except ImportError:
#    import sys
#    print >> sys.stderr, 'To build gedit-pylint you need https://launchpad.net/python-distutils-extra'
#    sys.exit(1)
#
#assert DistUtilsExtra.auto.__version__ >= '2.10', 'needs DistUtilsExtra.auto >= 2.10'
import os


        
##################################################################################
###################### YOU SHOULD MODIFY ONLY WHAT IS BELOW ######################
##################################################################################

from glob import glob
import distutils.util
import distutils.core
distutils.util.byte_compile(glob('pylint-2/*.py'))

#DistUtilsExtra.auto.setup(
distutils.core.setup(
    name='gedit-pylint-2',
    version='1.1~alpha1',
    license='GPL-2',
    #author='B Clausius',
    #author_email='barcc@gmx.de',
    description='Pylint static analysis support',
    #long_description='''xxx''',
    #url='https://launchpad.net/',

    data_files=[
                ('lib/gedit-2/plugins/', ['pylint-2.gedit-plugin']),
                ('lib/gedit-2/plugins/pylint-2/', glob('pylint-2/*.*')),
               ],
    )

